back to article Mozilla denies OS X Leopard 2012 kill

Mozilla has denied that the death of Firefox on OS X Leopard, released just four years ago, is coming. The browser operation has downplayed a proposal, broached by one of Firefox’s developers, to stop supporting OS X 10.5 with Firefox 13. This version of Firefox is due to ship on or near 5 June 2012. The proposal was floated by …

COMMENTS

This topic is closed for new posts.
WTF?

Good morning Mr Ass

What a name... Bet he got bullied at school for that.

1
4

Not sure it's really a problem anyway

Someone who hasn't upgraded their OS for 4 years isn't likely to be running the bleeding edge in the first place. The usual reason for holding on to an OS for that long would be a corporate policy not to upgrade - which would mean the software on it, as well.

Hell, nothing wrong with FF4.. it was only released 6 months ago. No need to keep up with a dev team that thinks if they don't release a major version every 8 hours they're slipping.

5
5
MCG
Meh

Or on the other hand, chances are that someone who hasn't upgraded OS X for 4 years is actually an old and experienced Apple user, who knows very well that each new version of OS X means more applications and peripherals refusing to work, and who wishes to stick with something that *just works*.

This is one thing Microsoft has always been good at, and which Apple could care less about, namely backwards compatibility.

4
2
Anonymous Coward

Sorry, what?

By implying Apple could care less about backwards compatibility, you've implied they do care about backwards compatibility.

However I gather the meaning of your statement was to give the impression that you are dismayed by the lack of Apple caring about backwards compatibility, even if that wasn't reflected in the exact words written.

6
0

500 users gone

Here is how they aren't taken serious in enterprise, admin friend of mine gave up this mess and decided to support Safari and Ie only, getting rid of all Mozilla. They have 100+ 10.5 8 terminals. 10.7 ones being victim here.

0
0

I've thought about this; there are too many instances of people using that version of the phrase for them all to be wrong (gosh, how optimistic!). I suspect that the full version of the phrase should be something like:

"I could care less about that, but I'm not going to"

and the last bit has been forgotten about over the years.

However, it may just be that some people are just stoopid...

1
0
Anonymous Coward

@MCG

Windows Vista

0
2
Anonymous Coward

too many ... for them all to be wrong

Nope - it was, is and always should be "couldn't care less", but some people (maybe not stupid, at least not all of them) say things when they haven't thought about the meaning.

0
0
Anonymous Coward

Like?

Unless, of course, you put "like I" in front of it. This effectively flips the meaning.

0
0

Ass..?

*sniggers*

0
3
Silver badge

Not surprising

OS X has favoured 3 different graphics APIs in its life time - QuickDraw, Quartz 2D and now Core Animation. The latter offering the best hardware acceleration and multimedia support. One way to keep the cruft to a minimum is to end of life older versions of the OS. The question is at what point does the % of users drop so low that it simply isn't justifiable to continue supporting that OS in the official builds.

1
0
Silver badge

That's not really fair

QuickDraw made it into Carbon but essentially was marked as deprecated from the initial launch of OS X. Quartz/Core Graphics, and those things abstracted away by the various NSViews, have been the recommended API since day one and Core Animation sits on top of Quartz to provide various transforms and animations in the compositor.

The long road to Core Text is probably the thing Apple should be most embarrassed about, but that was in place by 10.4 so it won't be what Mozilla are debating.

I'd imagine the issue is more Apple's zeal for cutting support for older OSs, both to end users and through their development tools. For various reasons there's no way to be confident that a build you produce with the latest Xcode will work on 10.5, even if you've set the target appropriately, written code that can cope with frameworks and bits of frameworks possibly being unavailable, etc, other than to test on 10.5 itself and then to modify compiler settings manually as appropriate. Which is a lot of effort either switching back and forth between machines or maintaining separate project files because Xcode has been through a major overhaul in the interim.

2
0
Silver badge

It is fair

Apps like Mozilla and Flash started off like Carbon based because they crossed over from from Mac OS 9. Then got ported to Cocoa and Quartz 2D and then to Core Anim. It's even more complex for a browser because it could host a plugin which could be Carbon / Cocoa so all that difference has to be bridged too, i.e. when a plugin says "redraw me", the browser has to give the plugin the context it needs to render itself into the page.

I expect the OS X codebase is a bit of a mess from the all the tests and bridging and so I understand the desire to shed some of the cruft.

0
0
Bronze badge

I stilll use 10.5 for legacy support

To be honest while I use FF extensively on other platforms, Safari and Opera were my browsers of choice when 10.5 was still current.

A lot of new Mac software doesn't support PPC architecture anyway. OpenOffice hid their PPC binaries somewhere difficult to find ages ago.

Adobe quietly dropped support for Flash Player 10 for PPC architecture a few months ago.

Ditto for Adobe AIr.

It's dead Jim, but there's still life in it for legacy support.

0
0
Megaphone

Firefox support stats

Would Mozilla be willing to publish (regularly) their 'how many % of users use / request support for version X of Firefox using OS X version y'? As two separate sets of stats. Personally I'm happy on 10.6 and have no plans to go to Lion from everything I'm hearing. The software I use on that platform does everything I need it to, with nice stable VMware Fusion hosting a sturdy XP for when I need it (still support Windows users in all bar a handful of cases, and certain things like Citrix web access certificates are a pain in the not-making-a-statement Ass to get setup).

Speaker for the stats bit, the rest is just personal rant.

0
0

Here is a better idea

Why not make it lvvm only instead of gcc? That will assure the coolness factor! ;)

If a company accepted Aas and ideas back in 90s, oss would be in a better shape.

0
0
Anonymous Coward

Leopard nothing.

I know bunches of people still stuck on Tiger for X86. A lot of these are non-computer literate folks who have grown too attached to their first-gen Intel Macbook too much to part with it, and fear upgrades like the plague. Heck, one person I know has dumped Firefox in favor of Opera as soon as Firefox gave up support for Tiger. When I suggested that she upgrade to Snow Leopard (last supported OS for her 32-bit Core Macbook) she chickened out when I told her that she will need to max out the RAM on her Macbook and that the upgrade may wipe her hard drive and that she should back up whatever that's on her hard disk to an external one before proceeding. I even suggested she had it done at an Apple store if it's too much for her sanity, but she insisted on sticking to Tiger, reasoning that she doesn't want to spend money on hardware and software upgrades when Tiger just works well.

1
0
Anonymous Coward

"It just works"

Hmm, take virtually any piece of (Win32) software written today, and it would still work on 11 year old Windows 2000. Heck, it'd probably still work on Windows 98, or 95 even.

Why is this such an issue with a FOUR year old Apple OS? So much "it just works".

0
0
Anonymous Coward

I can think of maybe 3 currently developed Win32 applications that will run on Windows 95. The reason Windows 2000 is still supported by many applications is 1.) it's good business and 2.) It is still supported by Visual Studio 2008, which many developers probably standardized on, thus it may work by "accident," even if not officially supported by the developer. If you read the suggested proposal, it's hard to get it to work on 10.5 when compiled in recent versions of XCode, and this will probably only become more pronounced as time goes on.

0
0
This topic is closed for new posts.

Forums